> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert a phone number into cleartalk

> This endpoint inserts a phone number into the cleartalk system. If the phone number already exists, it will be updated; otherwise, it will be created.



## OpenAPI

````yaml post /cleartalk/insert
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /cleartalk/insert:
    post:
      tags:
        - cleartalk
      summary: Insert a phone number into cleartalk
      description: >-
        This endpoint inserts a phone number into the cleartalk system. If the
        phone number already exists, it will be updated; otherwise, it will be
        created.
      operationId: cleartalkController_insertPhoneNumberIncleartalk
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                phoneNumber:
                  type: string
                  description: Phone number to be inserted into cleartalk
                  example: '+19162496951'
              required:
                - phoneNumber
      responses:
        '200':
          description: Phone number inserted successfully
          content:
            application/json:
              schema:
                example:
                  message: The number inserted successfully
        '400':
          description: Bad request due to invalid phone number or missing parameters
        '500':
          description: Internal server error due to issues in insertion
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````